package com.ruoyi.benyun.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.benyun.entity.BusinessOpportunitiesClue;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BusinessOpportunitiesDao extends BaseMapper<BusinessOpportunitiesClue> {
    int searchCountByUserId(@Param("userId") String userId);
    BusinessOpportunitiesClue searchByClueIdOrAttentionIdAndUserId(@Param("clueId") String clueId, @Param("attentionId") String attentionId, @Param("userId") String userId);
    int deleteByAttentionIdAndUserId(@Param("attentionId")String attentionId, @Param("userId") String userId);
    List<BusinessOpportunitiesClue> searchAllByMulti(@Param("text") String text, @Param("userId") String userId);
    int updateFollowUpCountByClueIdAndUserId(@Param("clueId") String clueId, @Param("count") Integer count , @Param("userId") String userId);
    Integer selectCount(@Param("userId") String userId);
}
